<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoGeneratedRunConfigurationManager">
    <projectFile kind="Docker">NPP.SmartSchedue.Host/NPP.SmartSchedue.Host.csproj</projectFile>
    <projectFile profileName="IIS Express">NPP.SmartSchedue.Host/NPP.SmartSchedue.Host.csproj</projectFile>
    <projectFile profileName="NPP.SmartSchedue.Host">NPP.SmartSchedue.Host/NPP.SmartSchedue.Host.csproj</projectFile>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="635f35ee-190e-4c9a-82f7-ee1c8f1bea95" name="更改" comment="">
      <change beforePath="$PROJECT_DIR$/.claude/settings.local.json" beforeDir="false" afterPath="$PROJECT_DIR$/.claude/settings.local.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/.idea.NPP.SmartSchedue/.idea/vcs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.NPP.SmartSchedue/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/.idea.NPP.SmartSchedue/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.NPP.SmartSchedue/.idea/workspace.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DpaMonitoringSettings">
    <option name="firstShow" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$/../../.." value="dev_schedule_2" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitLabMergeRequestFiltersHistory">{
  &quot;lastFilter&quot;: {
    &quot;state&quot;: &quot;OPENED&quot;,
    &quot;assignee&quot;: {
      &quot;type&quot;: &quot;org.jetbrains.plugins.gitlab.mergerequest.ui.filters.GitLabMergeRequestsFiltersValue.MergeRequestsMemberFilterValue.MergeRequestsAssigneeFilterValue&quot;,
      &quot;username&quot;: &quot;project_698_bot&quot;,
      &quot;fullname&quot;: &quot;Rider&quot;
    }
  }
}</component>
  <component name="GitLabMergeRequestsSettings">{
  &quot;selectedUrlAndAccountId&quot;: {
    &quot;first&quot;: &quot;https://gitspace.wuxibiologics.com/npp-code-management/SPMS.Portal.git&quot;,
    &quot;second&quot;: &quot;46b52827-07a1-4c7c-84b0-fd07ed3ba3df&quot;
  }
}</component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/NPP.SmartSchedue.Api/Services/Integration/GlobalPersonnelAllocationService.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/DecompilerCache/decompiler/66b2a0f1b42345cba263118414f9d183a0910/fa/1cbb630b/Enumerable.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/DecompilerCache/decompiler/de363d7e26864f26a46f46b9b5e16f534c00/01/6719b288/AsyncDeterminationInterceptor.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/294078ecfce6fdb942ecfee089f09717de7a6fcfe5efd9fdb6f4f93c0fb4813/ActionMethodExecutor.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/2f657497243c260bae22d6d2c67ab907371015db851628463cc13adfaf325/Int64.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/9d3abb8c403eb01b13b989f2e737438c72cfcd9a12885edf04f7e507586ff0/BaseService.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/a4948a1287bc91a8a16e6d426a38bac34ebd47b49bf82a2772477aa9dc7908e/HostApp.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/a6eded6d58086a0199d103a8f2b10471948ce5a18b7773c815d2364b1423c68/ISelect2`16.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/c2e3bc99518b63d562a6388933d90bae1d78433cc7b77c29523941341be61a6/TransactionAsyncInterceptor.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/de533de9e7b3ea79d36aeac96b6426559cfe9f3a96b1ab66b51ce3febeda25f/TimeSpan.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/SourcesCache/e399fc861c188bd19ebde14346e2f5f2c1a54c1c0d6fbd5cbe05227afe6d/CollectionExtensions.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="mock://diff.cs" root0="SKIP_HIGHLIGHTING" />
  </component>
  <component name="MetaFilesCheckinStateConfiguration" checkMetaFiles="true" />
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4
}</component>
  <component name="ProjectId" id="30zf5rxtLF4AlMwfbHnXdMlDTzF" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;.NET 启动设置配置文件.NPP.SmartSchedue.Host.executor&quot;: &quot;Debug&quot;,
    &quot;ModuleVcsDetector.initialDetectionPerformed&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.TerminalTabsStorage.copyFrom.TerminalArrangementManager&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.git.unshallow&quot;: &quot;true&quot;,
    &quot;ToolWindow.Debug.ShowToolbar&quot;: &quot;false&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;editor.preferences.fonts.default&quot;,
    &quot;settings.editor.splitter.proportion&quot;: &quot;0.1840796&quot;,
    &quot;ts.external.directory.path&quot;: &quot;C:\\GitCodeSpace\\SPMS.Portal\\zhontai.ui.admin.vue3\\node_modules\\typescript\\lib&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;,
    &quot;附加到进程.1596:NPP.SmartSchedue.Host.executor&quot;: &quot;Debug&quot;,
    &quot;附加到进程.19008:NPP.SmartSchedue.Host.executor&quot;: &quot;Debug&quot;,
    &quot;附加到进程.28664:NPP.SmartSchedue.Host.executor&quot;: &quot;Debug&quot;
  }
}</component>
  <component name="RunManager" selected=".NET Launch Settings Profile.NPP.SmartSchedue.Host">
    <configuration name="NPP.SmartSchedue.Host" type="LaunchSettings" factoryName=".NET Launch Settings Profile">
      <option name="LAUNCH_PROFILE_PROJECT_FILE_PATH" value="$PROJECT_DIR$/NPP.SmartSchedue.Host/NPP.SmartSchedue.Host.csproj" />
      <option name="LAUNCH_PROFILE_TFM" value="net9.0" />
      <option name="LAUNCH_PROFILE_NAME" value="NPP.SmartSchedue.Host" />
      <option name="USE_EXTERNAL_CONSOLE" value="0" />
      <option name="USE_MONO" value="0" />
      <option name="RUNTIME_ARGUMENTS" value="" />
      <option name="GENERATE_APPLICATIONHOST_CONFIG" value="1" />
      <option name="SHOW_IIS_EXPRESS_OUTPUT" value="0" />
      <option name="SEND_DEBUG_REQUEST" value="1" />
      <option name="ADDITIONAL_IIS_EXPRESS_ARGUMENTS" value="" />
      <option name="AUTO_ATTACH_CHILDREN" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
    <configuration name="NPP.SmartSchedue.Host: IIS Express" type="LaunchSettings" factoryName=".NET Launch Settings Profile">
      <option name="LAUNCH_PROFILE_PROJECT_FILE_PATH" value="$PROJECT_DIR$/NPP.SmartSchedue.Host/NPP.SmartSchedue.Host.csproj" />
      <option name="LAUNCH_PROFILE_TFM" value="net9.0" />
      <option name="LAUNCH_PROFILE_NAME" value="IIS Express" />
      <option name="USE_EXTERNAL_CONSOLE" value="0" />
      <option name="USE_MONO" value="0" />
      <option name="RUNTIME_ARGUMENTS" value="" />
      <option name="GENERATE_APPLICATIONHOST_CONFIG" value="1" />
      <option name="SHOW_IIS_EXPRESS_OUTPUT" value="0" />
      <option name="SEND_DEBUG_REQUEST" value="1" />
      <option name="ADDITIONAL_IIS_EXPRESS_ARGUMENTS" value="" />
      <option name="AUTO_ATTACH_CHILDREN" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
    <configuration name="NPP.SmartSchedue.Host/Dockerfile" type="docker-deploy" factoryName="dockerfile" server-name="Docker">
      <deployment type="dockerfile">
        <settings>
          <option name="containerName" value="npp.smartschedue.host" />
          <option name="contextFolderPath" value="C:\666 WXGitSpace\SPMS.Portal\src\modules\schedue" />
          <option name="sourceFilePath" value="NPP.SmartSchedue.Host/Dockerfile" />
        </settings>
      </deployment>
      <EXTENSION ID="com.jetbrains.rider.docker.debug" isFastModeEnabled="true" isSslEnabled="false" />
      <method v="2" />
    </configuration>
    <configuration default="true" type="docker-deploy" factoryName="dockerfile" temporary="true">
      <deployment type="dockerfile">
        <settings />
      </deployment>
      <EXTENSION ID="com.jetbrains.rider.docker.debug" isFastModeEnabled="true" isSslEnabled="false" />
      <method v="2" />
    </configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="635f35ee-190e-4c9a-82f7-ee1c8f1bea95" name="更改" comment="" />
      <created>1754635142915</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1754635142915</updated>
      <workItem from="1754635143882" duration="4343000" />
      <workItem from="1754874747747" duration="7000" />
      <workItem from="1754878274269" duration="11438000" />
      <workItem from="1755480136705" duration="6336000" />
      <workItem from="1755492788122" duration="12633000" />
      <workItem from="1755517970088" duration="5154000" />
      <workItem from="1755572773370" duration="1830000" />
      <workItem from="1755583838242" duration="13230000" />
      <workItem from="1755661227196" duration="9632000" />
      <workItem from="1755677504783" duration="2660000" />
      <workItem from="1755681064691" duration="1596000" />
      <workItem from="1755695756877" duration="3164000" />
      <workItem from="1755752854232" duration="10000" />
      <workItem from="1755752884301" duration="4360000" />
      <workItem from="1755759793828" duration="8749000" />
      <workItem from="1755825348947" duration="4502000" />
      <workItem from="1755850912137" duration="2031000" />
      <workItem from="1755852977655" duration="1188000" />
      <workItem from="1756084492195" duration="43899000" />
      <workItem from="1756185335516" duration="36937000" />
      <workItem from="1756289004055" duration="1442000" />
      <workItem from="1756998539606" duration="775000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
    <option name="exactExcludedFiles">
      <list>
        <option value="$PROJECT_DIR$/../../../npp-smart-schedule-portal/node_modules/zrender/index.js" />
        <option value="$PROJECT_DIR$/../../../npp-smart-schedule-portal/node_modules/zrender/index.d.ts" />
        <option value="$PROJECT_DIR$/../../../zhontai.ui.admin.vue3/node_modules/zrender/index.js" />
        <option value="$PROJECT_DIR$/../../../zhontai.ui.admin.vue3/node_modules/zrender/index.d.ts" />
      </list>
    </option>
  </component>
  <component name="UnityCheckinConfiguration" checkUnsavedScenes="true" />
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.OperationCanceledException" breakIfHandledByOtherCode="false" displayValue="System.OperationCanceledException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.Tasks.TaskCanceledException" breakIfHandledByOtherCode="false" displayValue="System.Threading.Tasks.TaskCanceledException" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" breakIfHandledByOtherCode="false" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="3" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>